Unsupported OS version – iOS Xcode

Si enchufamos nuestro iPhone al Mac para desarollar y nos aparece este mensaje en el Xcode:

Es básicamente lo que dice, Xcode no tiene soporte para nuestra versión de iPhone. Para ello, lo primero que necesitamos saber es el la Versión del software que tenemos en nuestro iPhone.

Para ello, desde el iPhone vamos a

Ajustes > General > Información > Versión del software

Y aquí tendremos la versión. En mi caso la 15.3.1.

Ahora iremos a este fabuloso repo de github: https://github.com/filsv/iPhoneOSDeviceSupport y descargaremos el paquete de la versión que necesitamos.

Con el paquete descargado y descomprimido, ahora abriremos en el Finder la siguiente ruta:

/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/DeviceSupport/

Y arrastraremos la carpeta (15.3) a este directorio.

Reiniciamos el Xcode y ya deberíamos de tener soporte para nuestro iPhone 💪


Tu opinión es importante para mi, ¿Te ha resultado útil este artículo?

Deja una respuesta

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

*